import dynamix_sdk.base as _base


class CloudapiK8sWorkersGroupDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sWorkersGroupDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def workers_group_delete(
        self,
        *,
        k8s_id: int,
        worker_group_id: int,
    ) -> CloudapiK8sWorkersGroupDeleteResultBool:
        ...
